package com.zivilon.cindercore.mixins;

import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.Dynamic;
import org.spongepowered.asm.mixin.Shadow;
import org.spongepowered.asm.mixin.Mutable;
import org.spongepowered.asm.mixin.gen.Accessor;
import net.minecraft.network.play.server.S1CPacketEntityMetadata;
import net.minecraft.entity.DataWatcher;
import java.util.List;

@Mixin(S1CPacketEntityMetadata.class)
public interface MixinS1CPacketEntityMetadata {

    @Accessor("field_149379_a")
    int get_entity_id();

    @Accessor("field_149379_a")
    void set_entity_id(int entityId);

    @Accessor("field_149378_b")
    List<DataWatcher.WatchableObject> get_metadata();

    @Accessor("field_149378_b")
    void set_metadata(List<DataWatcher.WatchableObject> metadata);
}
